Summary:	GTK+ frontend to the su and sudo programs
Name:		gksu
Version:	2.0.2
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.nongnu.org/gksu/
Source:		http://people.debian.org/~kov/gksu/gksu/%{name}-%{version}.tar.bz2
Patch0:		gksu-2.0.2-use-xvt-for-terminal.patch
Patch1:		gksu-2.0.2-fix-nautilus-link.patch
Patch2:		gksu-2.0.2-str-fmt.patch
Patch3:		gksu-2.0.2-fix-build-with-new-glib.patch
BuildRequires:	libgksu-devel
BuildRequires:	nautilus-devel
BuildRequires:	intltool

%description
gksu is a Gtk+ frontend to /bin/su. It supports login shells and preserving
environment when acting as a su frontend. It is useful to menu items or
other graphical programs that need to ask a user's password to run another
program as another user.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

%post
if [ -e /etc/gksu.conf ]; then
   sh /usr/share/gksu/gksu-migrate-conf.sh
fi

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}
%{_libdir}/nautilus/extensions-2.0/*
%{_mandir}/man1/*.1.*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-5.mga3
+ Revision: 351660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 2.0.2-4.mga3
+ Revision: 334872
- add patches to fix str fmt and build with new glib
- clean .spec a bit

* Wed Apr 06 2011 ennael <ennael> 2.0.2-3.mga1
+ Revision: 81124
- clean spec file
- imported package gksu

